Public Member Functions | Private Attributes

# CopyPasteCommandQueue Class Reference

## Public Member Functions
void | ClearCopyPasteCommandQueue ()
| Clears the CommandQueue.
void | CopyPasteQueueCommand (TileIndex tile, uint32 p1, uint32 p2, CommandCallback *callback, uint32 cmd)
| Enqueue the given command.
void | ExecuteNextCommand ()
| Executes the next queued command, or does nothing if queue is emtpy.
## Private Attributes
std::queue< CommandContainer * > | queue

## Detailed Description

Definition at line 11 of file command_queue.h.

## Member Function Documentation

void CopyPasteCommandQueue::ClearCopyPasteCommandQueue | ( |  | ) |

Clears the CommandQueue.

Clears the CopyPasteCommandQueue.

Definition at line 62 of file command_queue.cpp.

Referenced by MainToolbarWindow::OnKeyPress().

void CopyPasteCommandQueue::CopyPasteQueueCommand | ( | TileIndex | tile,
|  | uint32 | p1,
|  | uint32 | p2,
|  | CommandCallback * | callback,
|  | uint32 | cmd |
| ) |  |  |

Enqueue the given command.

May be executed later by calling ExecuteNextCommand()

Definition at line 22 of file command_queue.cpp.

References CommandContainer::callback, CommandContainer::cmd, CommandContainer::p1, CommandContainer::p2, and CommandContainer::tile.

Referenced by CopyPaste::CP_DoCommand().

void CopyPasteCommandQueue::ExecuteNextCommand | ( |  | ) |

Executes the next queued command, or does nothing if queue is emtpy.

Executes the next queued command, or does nothing if queue is emtpy Since DoCommandP checks for _shift_pressed, we have to store, unset und restore it.

Definition at line 40 of file command_queue.cpp.

References _shift_pressed, and DoCommandP().

The documentation for this class was generated from the following files:

- src/command_queue.h
- src/command_queue.cpp